import { IDynamicValue, IWeAppComponentInstance, ActionType, ICompositedComponent, IWeAppPage, IEventListener, IQueryData } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext } from './BuildContext';
export declare function generatedDynamicData(data: {
    [key: string]: IDynamicValue;
}, compInfo?: ICompositedComponent, filterBuiltInProps?: boolean): {
    staticProps: {};
    boundProps: {};
};
export declare function createWidgetProps(ctx: IBuildContext, widgets: {
    [key: string]: IWeAppComponentInstance;
}): {};
export declare function createEventHandlers(ctx: IBuildContext, widgets: {
    [key: string]: IWeAppComponentInstance;
}, componentApi: string, page?: IWeAppPage): {};
export declare function generateSyncListeners(syncConfigs: any): IEventListener[];
export declare function generateDataContainerListeners(): {
    trigger: string;
    jsCode: string;
    type: ActionType;
    data: {};
}[];
export declare function createTemplateQuery(ctx: IBuildContext, query?: {
    [key: string]: IQueryData;
}): {};
export declare function createTemplateEventFlows(ctx: IBuildContext, eventFlows?: any[]): any[];
export declare function createDataBinds(ctx: IBuildContext, widgets: {
    [key: string]: IWeAppComponentInstance;
}): {};
export declare function setDataBind(target: any, prop: string, val: IDynamicValue): void;
export declare function processRepeaterSchema(ctx: any, componentInstanceMap: {
    [key: string]: IWeAppComponentInstance;
}): {
    [key: string]: IWeAppComponentInstance;
};
/**
 * 查找符合小程序平台组件的 info
 */
export declare function findComponentInfo(xComponent: {
    moduleName: string;
    name: string;
}, { materialLibs, miniprogramPlugins }: {
    materialLibs: any;
    miniprogramPlugins: any;
}): any;
export declare function generateScopedStyleText(widgets: Record<string, IWeAppComponentInstance>): string;
