import { IWeAppComponentInstance, IEventModifiers } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext } from './BuildContext';
export declare function generateWxml(ctx: IBuildContext & {
    pageUUID?: string;
}, widgets: {
    [key: string]: IWeAppComponentInstance;
}, docTag: string, wxmlDataPrefix: any, usingComponents: any, componentGenerics: any, nodeTransform?: (cmp: IWeAppComponentInstance, node: any) => void): string;
export declare function getMpEventHandlerName(widgetId: string, evtName: string, modifier?: IEventModifiers): string;
export declare function getUsedComponents(widgets: {
    [key: string]: IWeAppComponentInstance;
}, usedCmps?: {
    [libName: string]: Set<string>;
}): {
    [libName: string]: Set<string>;
};
