import { IMaterialItem, ICompositedComponent, IWeAppComponentInstance, IWeAppData } from '@cloudbase/lowcode-generator/lib/weapps-core';
import { IBuildContext } from './BuildContext';
import NameMangler from '@cloudbase/lowcode-generator/lib/generator/util/name-mangler';
import { IUsedComps } from '../types/common';
export declare function installMaterials(ctx: IBuildContext, projDir: string, usedComps: IUsedComps, weapps: IWeAppData[]): Promise<void>;
/**
 * 过滤组件库文件
 * @param src 源文件
 * @param dest 目标文件
 * @returns boolean
 */
export declare function filterMaterial(src: any, dest: any): boolean;
export declare function extractUsedCompsRecursively(comps: IUsedComps, checkedComps: ICompositedComponent[], compositedLibs: IMaterialItem[], outputComps?: IUsedComps): IUsedComps;
export declare function getWxmlTag(ctx: IBuildContext, cmp: Required<IWeAppComponentInstance>['xComponent'], nameMangler?: NameMangler): {
    tagName: string;
    path?: undefined;
} | {
    tagName: string;
    path: any;
};
